# API reference

## Update data stream content

<mark style="color:orange;">`PUT`</mark> `https://datastream.singular.live/datastreams/:datastreamPrivateToken`

Send data to a data stream.

#### Path Parameters

| Name                                                     | Type   | Description               |
| -------------------------------------------------------- | ------ | ------------------------- |
| datastreamPrivateToken<mark style="color:red;">\*</mark> | String | Private data stream token |

{% tabs %}
{% tab title="200: OK " %}

{% endtab %}
{% endtabs %}

### Example request body

```json
{
    "number": 123,
    "text": "this is text",
    "isActive": true,
    "color": "#3333ff"
}
```

{% hint style="info" %}
You can send any JSON data in the request body and then define how it is processed in the composition script editor.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.singular.live/data-stream-api/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
